Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.go.display.canvas
Interface CanvasHandler

    public interface CanvasHandler

The `CanvasHandler` interface provides programmers with a mechanism to change `Canvas` properties. When a handler is passed in to `Canvas.enableHandler(CanvasHandler)`, the `Canvas` will give it the active `CanvasController`. The active controller allows the handler to change the canvas, until the handler is removed.

Method Summary
`void` | `handlerEnabled(CanvasController controller)` Enables this `CanvasHandler`, giving it the active `CanvasController`and thus the ability to modify the `Canvas` that enabled it.``
`void` | `handlerRemoved()` Removes this `CanvasHandler`, meaning that calling methods on its `CanvasController` will no longer affect the `Canvas`.

Method Detail

### handlerEnabled

    void handlerEnabled(CanvasController controller)

  Enables this `CanvasHandler`, giving it the active `CanvasController`and thus the ability to modify the `Canvas` that enabled it.

  ``
  Parameters:
    `controller` - the active `CanvasController`.

### handlerRemoved

    void handlerRemoved()

  Removes this `CanvasHandler`, meaning that calling methods on its `CanvasController` will no longer affect the `Canvas`. A `CanvasHandler` should never attempt to re-enable itself after it has been removed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.